[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.MouseUp

Handles a mouse up event for the splitter control.

## Declaration

Source position: extctrls.pp line 403

`protected procedure TCustomSplitter.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the mouse event.
`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse event.
`X` |  | Horizontal coordinate for the mouse event.
`Y` |  | Vertical coordinate for the mouse event.

## Description

MouseUp is an overridden method in TCustomSplitter. It calls the inherited method on entry to signal the OnMouseUp event handler (when assigned). It ensures that the mouse pointer position is updated in the widgetset class, and calls StopSplitterMove to end the active splitter drag operation and signal the OnMove event handler (when assigned).

## See also

#lcl.controls.TControl.MouseUp |  | Signals the OnMouseUp handler.